## javax.persistence
Enum DiscriminatorType

    java.lang.Object
      java.lang.Enum<DiscriminatorType>
          javax.persistence.DiscriminatorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DiscriminatorType>

    public enum DiscriminatorType

extends java.lang.Enum<DiscriminatorType>

Enum Constant Summary
`CHAR`
`INTEGER`
`STRING`

Method Summary
`static DiscriminatorType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DiscriminatorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final DiscriminatorType STRING

### CHAR

    public static final DiscriminatorType CHAR

### INTEGER

    public static final DiscriminatorType INTEGER

Method Detail

### values

    public static DiscriminatorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DiscriminatorType c : DiscriminatorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DiscriminatorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null